/********************************************************************************************************
		* PROGRAM      : menus
		* DATE - TIME  : lundi 30 avril 2007 - 16h09
		* AUTHOR       : gilles bailly ( gilles.bailly enst.fr )
			* FILENAME     : Param.cpp
			* LICENSE      : GPL
			* COMMENTARY   :
********************************************************************************************************/
//Param.cpp
#include "Param.h"

//============================================================================
//===============================   PARAM TRIAL & XP   =======================
//============================================================================
ParamXp::ParamXp(){
	device = "stylet";
	userId = 0;
	name = "bob";
	age =25;
	nbTrial = 20;
	menuType="null";
	nbBlock = 10;
	blockDepart = 0;
	order = -1;
	phase = "null";
}
//=========================
QString ParamXp::toString(){
	QString _age;
	QString _userId;
	QString _nbTrial;
	QString res= "id= ";
	res += _userId.setNum(userId);
	res += " name= ";
	res += name;
	res += " age= ";
	res += _age.setNum(age);
	res += " menu= ";
	res += menuType;
	res += " nbTrial= ";
	res += _nbTrial.setNum(nbTrial);
	res += " device =";
	res += device;
	return res;
	
}

//=======================
QString ParamXp::getTitle(){
	QString _userId;
	QString _nbTrial;
	QString res = menuType;
	res += "_";
	res	+= _userId.setNum(userId);
	res += "_";
	res += _nbTrial.setNum(nbTrial);
	res += "_";
	res += device;
	return res;
}


//========================
QString ParamXp::getTitle2(){
	QString _userId;
	QString res = _userId.setNum( userId );
	res += "_";
	res += name;
	res += "_";
	res += menuType;
	res += "_";
	res += phase;
	return res;
}


//=========================
ParamTrial::ParamTrial():numItem(-1), numTrial(0), numBlock(0), novice(false){
	direction = -1;
	type = -1;
	sens = -1;
	
}

//==========================
QString ParamTrial::toString(){
	QString _numTrial;
	QString _numItem;
	QString _mode;
	QString _numDir;
	QString _numType;
	QString _numSens;
	QString _numBlock;
	if(novice){ _mode = "novice"; } else{ _mode = "expert"; }
	_numTrial.setNum(numTrial);
	_numItem.setNum(numItem);
	_numBlock.setNum( numBlock );
	_numDir.setNum( direction );
	_numType.setNum( type );
	_numSens.setNum( sens );
	QString res = "numTrial= " + _numTrial;
	res += " numItem= " + _numItem;
	res += " direction= " + _numDir;
	res += " type= " + _numType;
	res += " sens= " + _numSens;
	res += " numBlock= "+ _numBlock;
	res += " mode= " + _mode;
	
	return res;
}

//=========================
QString ParamTrial::getTitle(){
	QString _numBlock;
	QString _numItem;
	QString _mode;
	if(novice){ _mode = "novice"; } else{ _mode = "expert"; }
	_numBlock.setNum(numBlock);
	_numItem.setNum(numItem);
	
	QString res = _numBlock;
	res += "_";
	//res += _numItem;
	//res += "_" + _mode;
	return res;
}

//==========================
QString ParamTrial::getTitle2(){
	QString _numBlock;
	return _numBlock.setNum( numBlock );
}

